Multi-screen Gameplay {#pie_noon_guide_gameplay_multiscreen}
=====================

## Overview

Multi-screen mode is a very different way of playing Pie Noon!

\htmlonly
<iframe width="560" height="315"
  src="https://www.youtube.com/embed/aR5WQaq70fw?rel=0"
  frameborder="0" allowfullscreen>
</iframe>
\endhtmlonly

In this mode, you host a game on one Android device (most likely an
Android TV, though you can host on tablets/phones as well) and join
the game over local Wi-Fi on 1-4 Android phones or tablets.

The game is turn-based; while the timer counts down, you will use your
touch-screen device to choose who you will aim at and whether you want
to throw, block, or grow your pie.

After time runs out, look up at the TV screen to see what happens! Then
another turn begins until only 1 player remains standing!

## Setup

To play multi-screen mode, all of the devices must be connected to the
same Wi-Fi network. On the Android TV device, use the controller to
select "Game Modes" from the Pie Noon menu, then "Multiscreen", then
"Host Game" (You can also view "How to Play" in the Multiscreen menu for
game instructions).

On 1 to 4 Android phones/tablets, choose "Game Modes", then "Multiscreen",
and then "Join Game." After a few moments, the game should prompt you to
connect to the Android TV device; select "Yes" and your phone will connect,
and then wait for the game to start.

To start the game, use the Android TV controller to select the "Start"
button after the desired number of players are connected. The remaining
slots will be filled by computer-controller opponents.

## Controls

When the game starts, you will see the Pie Noon game on the TV screen, and
four buttons on your touchscreen, corresponding to the positions of the
four players on the TV screen.

When a turn begins, the TV screen will tell you to "Look down", and your
touchscreen will show a pie timer counting down. Before the timer counts
all the way down, you must choose your action; after the turn ends, your
screen will tell you to "Look up", and you can see the action unfold on the
TV.

The button corresponding to your own player's position on screen lets you
choose your action during the turn, while the three other buttons let you
select who to aim at.

To choose your action, press the action button until it shows the action
you wish to perform.

To choose your target, press the face button corresponding to the player you
want to aim at.

| Button | Action |
|--------|--------|
| <img src="multiplayer_wait.png" style="height:10em"/> | Grow your pie to a larger size. Hitting opponents with larger pies will cover their buttons with pie filling, restricting their choices for the next turn. |
| <img src="multiplayer_throw.png" style="height:10em"/> | Throw your pie at whoever you are aiming at. |
| <img src="multiplayer_block.png" style="height:10em"/> | Block incoming pies. If you block any larger pies, you will deflect them to whoever you are aiming at. |
| <img src="multiplayer_dead.png" style="height:5em"/> | You have been knocked out. Try again next game! |
| <img src="multiplayer_face.png" style="height:5em"/> | These 3 color-coded buttons with faces on them correspond to the other players. Press these buttons during a turn to change who you are aiming at. |

The game will continue, with turns getting progressively faster, until only
one player remains.

After the game ends, the host will return to the "Waiting for Players"
screen, which allows new players to connect (all previous players will stay
connected). When you are ready to begin another game, use the Android TV
controller to press the "Start" button.
